version: '3'

services:
  ftps:
    image: stilliard/pure-ftpd
    container_name: ftps
    ports:
      - "21:21"
      - "30000-30009:30000-30009"
    volumes:
      - "D:/Users/youruser/ftps/data:/home/foo/"
      - "D:/Users/youruser/ftps/passwd:/etc/pure-ftpd/passwd"
      - "D:/Users/youruser/ftps/ssl:/etc/ssl/private/"
    environment:
      PUBLICHOST: "0.0.0.0"
      FTP_USER_NAME: foo
      FTP_USER_PASS: pass
      FTP_USER_HOME: /home/foo
      ADDED_FLAGS: "--tls=2"
      TLS_CN: "localhost"
      TLS_ORG: "YourOrg"
      TLS_C: "DE"